Loading...
Searching...
No Matches
font.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <grass/gis.h>`
`#include "driver.h"`
`#include "driverlib.h"`
Include dependency graph for font.c:

Go to the source code of this file.

## Functions

int | font_get_type (void)
const char * | font_get_encoding (void)
void | COM_Set_font (const char *name)
void | COM_Set_encoding (const char *enc)
void | COM_Font_list (char ***list, int *count)
void | COM_Font_info (char ***list, int *count)

## Function Documentation

## COM_Font_info()

void COM_Font_info | ( | char *** | list,
|  | int * | count )

Definition at line 154 of file font.c.

References count, driver::Font_info, and list.

## COM_Font_list()

void COM_Font_list | ( | char *** | list,
|  | int * | count )

Definition at line 147 of file font.c.

References count, driver::Font_list, and list.

## COM_Set_encoding()

void COM_Set_encoding | ( | const char * | enc | ) |

Definition at line 139 of file font.c.

References G_free(), and G_store().

Referenced by COM_Set_font().

## COM_Set_font()

void COM_Set_font | ( | const char * | name | ) |

Definition at line 84 of file font.c.

References COM_Set_encoding(), count, font_exists(), driver::Font_info, ftcap, G_is_absolute_path(), list, name, NULL, parse_fontcap_entry(), and driver::Set_font.

## font_get_encoding()

const char * font_get_encoding | ( | void |  | ) |

Definition at line 34 of file font.c.

References G_store().

## font_get_type()

int font_get_type | ( | void |  | ) |

Definition at line 29 of file font.c.

Referenced by COM_Get_text_box(), and COM_Text().